clc;clear all; close all;
Img=imread('Coastline.bmp');
Img=Img(213:724,:);
figure(1);
imshow(Img);
xlabel('Azimuth angle (degree)');ylabel('Detection distance (nautical mile)');
set(gca,'XTick',0:1024:2048);set(gca,'XTickLabel',{'0','180','360'});
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{'0.75','0.375','0'});
set(gcf,'color','w');axis on;

h=[0,-1,0;-1,4,-1;0,-1,0];   
ImgTest = filter2(h,Img,'same');
figure(2);
imshow(ImgTest,[0,255]);
xlabel('Azimuth angle (degree)');ylabel('Detection distance (nautical mile)');
set(gca,'XTick',0:1024:2048);set(gca,'XTickLabel',{'0','180','360'});
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{'0.75','0.375','0'});
set(gcf,'color','w');axis on;
     
ImgTest=uint8(ImgTest);
level=graythresh(ImgTest);
BW = im2bw(ImgTest,level);
figure(3);imshow(BW);
xlabel('Azimuth angle (degree)');ylabel('Detection distance (nautical mile)');
set(gca,'XTick',0:1024:2048);set(gca,'XTickLabel',{'0','180','360'});
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{'0.75','0.375','0'});
set(gcf,'color','w');axis on;

ImgPre=im2double(Img);
ImgPre = Fun_AvaFilter(ImgPre,BW);  
figure(4);
imshow(ImgPre);
imwrite(ImgPre,'20150812-085920-polar-pre.bmp');
xlabel('Azimuth angle (degree)');ylabel('Detection distance (nautical mile)');
set(gca,'XTick',0:1024:2048);set(gca,'XTickLabel',{'0','180','360'});
set(gca,'YTick',0:256:512);set(gca,'YTickLabel',{'0.75','0.375','0'});
set(gcf,'color','w');axis on;


